# class RowStatus |
Full name | `Snmp::RowStatus`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RowStatus ()
- RowStatus (void* data, int len)
- ~RowStatus ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_RowStatus
- static const int32_t s_active_RowStatus
- static const int32_t s_notInService_RowStatus
- static const int32_t s_notReady_RowStatus
- static const int32_t s_createAndGo_RowStatus
- static const int32_t s_createAndWait_RowStatus
- static const int32_t s_destroy_RowStatus

## Detailed Description

static const int s_type | ### s_type

int32_t m_RowStatus | ### m_RowStatus

static const int32_t s_active_RowStatus | ### s_active_RowStatus

static const int32_t s_notInService_RowStatus | ### s_notInService_RowStatus

static const int32_t s_notReady_RowStatus | ### s_notReady_RowStatus

static const int32_t s_createAndGo_RowStatus | ### s_createAndGo_RowStatus

static const int32_t s_createAndWait_RowStatus | ### s_createAndWait_RowStatus

static const int32_t s_destroy_RowStatus | ### s_destroy_RowStatus

RowStatus () | ### RowStatus

RowStatus (void* data, int len) | ### RowStatus

~RowStatus () | ### ~RowStatus

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.